<?php
/*
 *
 * template for participants list shortcode output
 *
 * this is the default template which formats the list of records as a table
 * using shortcut functions to display the componenets
 *
 * If you need more control over the display, look at the detailed template
 * (pdb-list-detailed.php) for an example of how this can be done
 *
 * Please note that if you have more than one list on a page, searching, sorting
 * and pagination will not work correctly.
 *
*/
?>
<div class="wrap <?php echo $this->wrap_class ?>">
<a name="<?php echo $this->list_anchor ?>" id="<?php echo $this->list_anchor ?>"></a>
<?php
  /*
   * SEARCH/SORT FORM
   *
   * the search/sort form is only presented when enabled in the shortcode.
   *
   */
  $this->show_search_sort_form();

  /* LIST DISPLAY */
  /* 
   * NOTE: the container for the list itself (excluding search and pagination 
   * controls) must have a class of "list-container" for AJAX search/sort to 
   * function
   */
?>
  
    <?php 
    // print the count if enabled in the shortcode
		//$this->print_list_count($wrap_tag = false); 
    ?>
    <?php if ( $record_count > 0 ) : // print only if there are records to show ?>

    
          <?php /*
           * this function prints headers for all the fields
           * replacement codes:
           * %2$s is the form element type identifier
           * %1$s is the title of the field
           */
          //$this->print_header_row( '<th class="%2$s" scope="col">%1$s</th>' );
          ?>
     

     
      <?php while ( $this->have_records() ) : $this->the_record(); // each record is one row ?>
       <div style="width:45%; float:left; margin-bottom:20px; margin-right:10px; padding:10px; border:1px solid #000; box-shadow:3px 3px 3px #ccc; border-radius:3px;">
          <?php while( $this->have_fields() ) : $this->the_field(); // each field is one cell ?>
             <div style="width:100%; float:left;">
			 <!--<div style="width:50%; float:left;"><?php //echo $this->field->name ?></div>-->
			  <div style="width:100%; float:left; margin-bottom:10px;">
              <?php $this->field->print_value() ?>
			  
			 </div></div>
            <?php endwhile; // each field ?>
	<?php $value = empty($value) ? $this->field->default : $value;
							
							// add the record ID to the single record link
							$single_record_uri = Participants_Db::add_uri_conjunction($single_record_link) . 'pdb=' . $this->record->record_id;
							
							/*
							 * print the opening tag of the single record link
							 */
							 '<a class="single-record-link" href="' . $single_record_uri . '" >';
							?>
							<a href="<?php echo $single_record_uri;?>"><span style="text-align:right; float:right;">Read More</span></a>
			 </div>
			
      <?php endwhile; // each record ?>
      
    <?php else : // if there are no records ?>

      <tbody>
        <tr>
          <td><?php if ($this->is_search_result === true)  echo Participants_Db::$plugin_options['no_records_message'] ?></td>
        </tr>
      </tbody>

    <?php endif; // $record_count > 0 ?>

	
  <?php
  /*
   * this shortcut function presents a pagination control with default layout
   */
  $this->show_pagination_control();
  ?>
</div>